-- This file is part of CyrHUD
--
-- (C) 2015 Scott Yeskie (Sasky)
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.

CyrHUD = CyrHUD or {}

local AD = ALLIANCE_ALDMERI_DOMINION
local DC = ALLIANCE_DAGGERFALL_COVENANT
local EP = ALLIANCE_EBONHEART_PACT

CyrHUD.info = {}
CyrHUD.info.underAttack = "/esoui/art/mappins/ava_attackburst_64.dds"
CyrHUD.info.noIcon = "/esoui/art/mappins/ava_largekeep_neutral.dds"
CyrHUD.info.defendedColor = ZO_ColorDef:New(.2, .5, .2, .6)
CyrHUD.info.newAttackColor = ZO_ColorDef:New(.5, 0, 0, .3)
CyrHUD.info.endAttackColor = ZO_ColorDef:New(.5, .5, .5, .3)
CyrHUD.info.defaultBGColor = ZO_ColorDef:New(0, 0, 0, .3)
CyrHUD.info.invisColor = ZO_ColorDef:New(0,0,0,0)
CyrHUD.info.fontMain = "EsoUI/Common/Fonts/univers67.otf|18|soft-shadow-thick"
CyrHUD.info[ALLIANCE_NONE] = {}
CyrHUD.info[ALLIANCE_NONE].color = ZO_ColorDef:New(.8, .8, .8, 1)
CyrHUD.info[ALLIANCE_NONE][KEEPTYPE_KEEP] = "/esoui/art/mappins/ava_largekeep_neutral.dds"
CyrHUD.info[ALLIANCE_NONE][KEEPTYPE_OUTPOST] = "/esoui/art/mappins/ava_largekeep_neutral.dds"
CyrHUD.info[ALLIANCE_NONE][10 + RESOURCETYPE_FOOD] = "/esoui/art/mappins/ava_farm_neutral.dds"
CyrHUD.info[ALLIANCE_NONE][10 + RESOURCETYPE_ORE] = "/esoui/art/mappins/ava_mine_neutral.dds"
CyrHUD.info[ALLIANCE_NONE][10 + RESOURCETYPE_WOOD] = "/esoui/art/mappins/ava_lumbermill_neutral.dds"
CyrHUD.info[AD] = {}
CyrHUD.info[AD].color = ZO_ColorDef:New(.765, .667, .290, 1)
CyrHUD.info[AD].flag = "/esoui/art/ava/ava_allianceflag_aldmeri.dds"
CyrHUD.info[AD][KEEPTYPE_KEEP] = "/esoui/art/mappins/ava_largekeep_aldmeri.dds"
CyrHUD.info[AD][KEEPTYPE_OUTPOST] = "/esoui/art/mappins/ava_outpost_aldmeri.dds"
CyrHUD.info[AD][10 + RESOURCETYPE_FOOD] = "/esoui/art/mappins/ava_farm_aldmeri.dds"
CyrHUD.info[AD][10 + RESOURCETYPE_ORE] = "/esoui/art/mappins/ava_mine_aldmeri.dds"
CyrHUD.info[AD][10 + RESOURCETYPE_WOOD] = "/esoui/art/mappins/ava_lumbermill_aldmeri.dds"
CyrHUD.info[DC] = {}
CyrHUD.info[DC].color = ZO_ColorDef:New(.408, .560, .698, 1)
CyrHUD.info[DC].flag = "/esoui/art/ava/ava_allianceflag_daggerfall.dds"
CyrHUD.info[DC][KEEPTYPE_KEEP] = "/esoui/art/mappins/ava_largekeep_daggerfall.dds"
CyrHUD.info[DC][KEEPTYPE_OUTPOST] = "/esoui/art/mappins/ava_outpost_daggerfall.dds"
CyrHUD.info[DC][10 + RESOURCETYPE_FOOD] = "/esoui/art/mappins/ava_farm_daggerfall.dds"
CyrHUD.info[DC][10 + RESOURCETYPE_ORE] = "/esoui/art/mappins/ava_mine_daggerfall.dds"
CyrHUD.info[DC][10 + RESOURCETYPE_WOOD] = "/esoui/art/mappins/ava_lumbermill_daggerfall.dds"
CyrHUD.info[EP] = {}
CyrHUD.info[EP].color = ZO_ColorDef:New(.871, .361, .310, 1)
CyrHUD.info[EP].flag = "/esoui/art/ava/ava_allianceflag_ebonheart.dds"
CyrHUD.info[EP][KEEPTYPE_KEEP] = "/esoui/art/mappins/ava_largekeep_ebonheart.dds"
CyrHUD.info[EP][KEEPTYPE_OUTPOST] = "/esoui/art/mappins/ava_outpost_ebonheart.dds"
CyrHUD.info[EP][10 + RESOURCETYPE_FOOD] = "/esoui/art/mappins/ava_farm_ebonheart.dds"
CyrHUD.info[EP][10 + RESOURCETYPE_ORE] = "/esoui/art/mappins/ava_mine_ebonheart.dds"
CyrHUD.info[EP][10 + RESOURCETYPE_WOOD] = "/esoui/art/mappins/ava_lumbermill_ebonheart.dds"

--/esoui/art/campaign/overview_scrollicon_aldmeri.dds
--/esoui/art/campaign/overview_scrollicon_daggefall.dds
--/esoui/art/campaign/overview_scrollicon_ebonheart.dds